EchoXML (Apache Ant API)

Package org.apache.tools.ant.taskdefs

## Class EchoXML

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.util.XMLFragment
    - - org.apache.tools.ant.taskdefs.EchoXML

- All Implemented Interfaces:
    `java.lang.Cloneable`, `DynamicElementNS`

      public class EchoXML
      extends XMLFragment

  Echo XML. Known limitations:
  1. Processing Instructions get ignored
  2. Encoding is always UTF-8
  Since:
    Ant 1.7

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `EchoXML.NamespacePolicy` |

    - ### Nested classes/interfaces inherited from class org.apache.tools.ant.util.XMLFragment

      `XMLFragment.Child`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EchoXML()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` | Execute the task.
    `void` | `setAppend​(boolean b)` | Set whether to append the output file.
    `void` | `setFile​(java.io.File f)` | Set the output file.
    `void` | `setNamespacePolicy​(EchoXML.NamespacePolicy n)` | Set the namespace policy for the xml file

    - ### Methods inherited from class org.apache.tools.ant.util.XMLFragment

      `addText, createDynamicElement, getFragment`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EchoXML

          public EchoXML()

  - ### Method Detail

    - #### setFile

          public void setFile​(java.io.File f)

      Set the output file.
      Parameters:
        `f` - the output file.

    - #### setNamespacePolicy

          public void setNamespacePolicy​(EchoXML.NamespacePolicy n)

      Set the namespace policy for the xml file
      Parameters:
        `n` - namespace policy: "ignore", "elementsOnly", or "all"
      See Also:
        `DOMElementWriter.XmlNamespacePolicy`

    - #### setAppend

          public void setAppend​(boolean b)

      Set whether to append the output file.
      Parameters:
        `b` - boolean append flag.

    - #### execute

          public void execute()

      Execute the task.